config/routes.rb
Rails.application.routes.draw do

  devise_for :users
  get 'landing/home'
  root 'landing#home'

end

app/models/user.rb
class User < ActiveRecord::Base
  # Include default devise modules. Others available are:
  # :confirmable, :lockable, :timeoutable and :omniauthable
  devise :database_authenticatable, :registerable,
         :recoverable, :rememberable, :trackable, :validatable
end

app/controllers/application_controller.rb
class ApplicationController < ActionController::Base
  # Prevent CSRF attacks by raising an exception.
  # For APIs, you may want to use :null_session instead.
  protect_from_forgery with: :exception
end

app/controllers/landing_controller.rb
class LandingController < ApplicationController
  def home
  end
end

app/helpers/application_helper.rb
module ApplicationHelper
end

app/helpers/landing_helper.rb
module LandingHelper
end

app/views/landing/home.html.erb
<h1>New Page</h1>
<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>

app/views/layouts/application.html.erb
<!DOCTYPE html>
<html>
<head>
  <title>Deviseapp</title>
  <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
  <%= stylesheet_link_tag    'application', media: 'all', 'data-turbolinks-track' => true %>
  <%= javascript_include_tag 'application', 'data-turbolinks-track' => true %>
  <%= csrf_meta_tags %>
</head>
<body>



  <div class="navbar-fixed">
  <nav>
     <div class="nav-wrapper">
       <a href="#" class="brand-logo "><h4>Devise</h4></a>
       <ul id="nav-mobile" class="right hide-on-med-and-down">
         <li>
         <% if current_user %>
             Welcome <%= current_user.email %><li><%= link_to '<i class="mdi-action-highlight-remove"></i>'.html_safe, destroy_user_session_path, method: :delete %></li>
         <% else %>
             <%= link_to '<i class="mdi-action-account-circle"></i>'.html_safe, new_user_session_path %>
         <% end %>
       </li>
       </ul>
     </div>
   </nav>
 </div>



<%= yield %>

</body>
</html>

app/views/users/shared/_links.html.erb
<%- if controller_name != 'sessions' %>
  <%= link_to "Log in", new_session_path(resource_name) %><br />
<% end -%>

<%- if devise_mapping.registerable? && controller_name != 'registrations' %>
  <%= link_to "Sign up", new_registration_path(resource_name) %><br />
<% end -%>

<%- if devise_mapping.recoverable? && controller_name != 'passwords' && controller_name != 'registrations' %>
  <%= link_to "Forgot your password?", new_password_path(resource_name) %><br />
<% end -%>

<%- if devise_mapping.confirmable? && controller_name != 'confirmations' %>
  <%= link_to "Didn't receive confirmation instructions?", new_confirmation_path(resource_name) %><br />
<% end -%>

<%- if devise_mapping.lockable? && resource_class.unlock_strategy_enabled?(:email) && controller_name != 'unlocks' %>
  <%= link_to "Didn't receive unlock instructions?", new_unlock_path(resource_name) %><br />
<% end -%>

<%- if devise_mapping.omniauthable? %>
  <%- resource_class.omniauth_providers.each do |provider| %>
    <%= link_to "Sign in with #{OmniAuth::Utils.camelize(provider)}", omniauth_authorize_path(resource_name, provider) %><br />
  <% end -%>
<% end -%>